{"openapi":"3.0.4","info":{"title":"Set the rules of a Posting Module","description":"Set the given Posting Modules rules, this will replace the existing set of rules for the posting module.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}/postingmodules/{postingModuleCode}/postingrules":{"put":{"tags":["Chart Of Accounts"],"summary":"Set the rules of a Posting Module","description":"Set the given Posting Modules rules, this will replace the existing set of rules for the posting module.","operationId":"SetPostingModuleRules","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"postingModuleCode","in":"path","description":"The code of the Posting Module to be updated.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The new rule set for the Posting Module.","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRule"}},"example":[{"ruleId":"rule 1","generalLedgerAccountCode":"100002354","ruleFilter":"1 eq 1"},{"ruleId":"rule 2","generalLedgerAccountCode":"123456789","ruleFilter":"true eq true"}]},"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRule"}},"example":[{"ruleId":"rule 1","generalLedgerAccountCode":"100002354","ruleFilter":"1 eq 1"},{"ruleId":"rule 2","generalLedgerAccountCode":"123456789","ruleFilter":"true eq true"}]},"text/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRule"}},"example":[{"ruleId":"rule 1","generalLedgerAccountCode":"100002354","ruleFilter":"1 eq 1"},{"ruleId":"rule 2","generalLedgerAccountCode":"123456789","ruleFilter":"true eq true"}]},"application/*+json":{"schema":{"type":"array","items":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRule"}},"example":[{"ruleId":"rule 1","generalLedgerAccountCode":"100002354","ruleFilter":"1 eq 1"},{"ruleId":"rule 2","generalLedgerAccountCode":"123456789","ruleFilter":"true eq true"}]}},"required":true},"responses":{"200":{"description":"The Posting Module with updated rules.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRulesUpdatedResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRulesUpdatedResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PostingModuleRulesUpdatedResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}